aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-16 14:49:44 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:05 +0000
commit379aec4e3ce4e6f44193b038a68a9774b5b033f0 (patch)
treee36618108fae5b087c1233d53b860d4a99683ba8
parentcd2715f0f33556033726da4da861780c3bccdf86 (diff)
downloadaports-379aec4e3ce4e6f44193b038a68a9774b5b033f0.tar.gz
aports-379aec4e3ce4e6f44193b038a68a9774b5b033f0.tar.bz2
aports-379aec4e3ce4e6f44193b038a68a9774b5b033f0.tar.xz
main/font-winitzki-cyrillic: upgrade to 1.0.3
-rw-r--r--main/font-winitzki-cyrillic/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-winitzki-cyrillic/APKBUILD b/main/font-winitzki-cyrillic/APKBUILD
index 6ab48518c8..c0f8c11fca 100644
--- a/main/font-winitzki-cyrillic/APKBUILD
+++ b/main/font-winitzki-cyrillic/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-winitzki-cyrillic
-pkgver=1.0.0
-pkgrel=2
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org winitzki cyrillic fonts"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/cyrillic \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="b99b02aff36a88ca3379715423c60303 font-winitzki-cyrillic-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="829a3159389b7f96f629e5388bfee67b font-winitzki-cyrillic-1.0.3.tar.bz2"
+sha256sums="abd13b63d02fcaec488686c23683e5cf640b43bd32f8ca22eeae6f84df0a36a0 font-winitzki-cyrillic-1.0.3.tar.bz2"
+sha512sums="f98fa99c1b0e60160b362310a7fe5fd5798aaa686751a6784a697c546ed754e885537eeed39a1f973dbceabc962cb65b39af1d336649381a49feb6df9f23e2b7 font-winitzki-cyrillic-1.0.3.tar.bz2"